#include "error.h"

#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>

void sw_debug(char *fmt, ...) {
	va_list argp;

	printf("[DEBUG] ");
	va_start(argp, fmt);
	vprintf(fmt, argp);
	va_end(argp);
	printf("\n");
	fflush(stdout);
}

void sw_error(char *fmt, ...) {
	va_list argp;

	fprintf(stderr, "[ERROR] ");
	va_start(argp, fmt);
	vfprintf(stderr, fmt, argp);
	va_end(argp);
	fprintf(stderr, "\n");

	exit(-1);
}

void sw_log(char *fmt, ...) {
	va_list argp;

	printf("[LOG] ");
	va_start(argp, fmt);
	vprintf(fmt, argp);
	va_end(argp);
	printf("\n");
	fflush(stdout);
}
